#include "forms.h"
#include "newbg.h"
#include "xbackdrop.h"

extern FD_newbg * fd_newbg;
extern FL_FORM * mainform;
extern FL_OBJECT * namelist;
extern Window Mainwin;
extern FD_xbackdrop *fd_xbackdrop;

typedef struct backdrop_
{
  int deflt;
  char * name;
  char * xpmfile;
} backdrop;     

char newbg_name[1024];
char newbg_file[1024];
extern backdrop backdrops[256];
extern int backd_cnt;

/* callbacks for form newbg */
void ok_newbg(FL_OBJECT *ob, long data)
{
  strcpy(newbg_name,fl_get_input(fd_newbg->name));
  strcpy(newbg_file,fl_get_input(fd_newbg->file));
  if (strlen(newbg_name)==0 ||strlen(newbg_file)==0)
    {
      fl_show_alert("Please fill all the fields,","or press Cancel button",
		    "",1); 
      return;
    }
  fl_hide_form(fd_newbg->newbg);
  fl_activate_form(fl_win_to_form(Mainwin));
  add_item(newbg_name,newbg_file);
}

void cancel_newbg(FL_OBJECT *ob, long data)
{
  /* fill-in code for callback */
  fl_hide_form(fd_newbg->newbg);
  fl_activate_form(fl_win_to_form(Mainwin));
}

void set_name(FL_OBJECT *ob, long data)
{
  /* dummy */
}

void set_file(FL_OBJECT *ob, long data)
{
  /* dummy */
}

void browse(FL_OBJECT *ob, long data)
{
  const char * pf;

  pf=fl_show_fselector("Find the background",
                       ".",
                       "*.xpm","");
  if (pf!=NULL)
    {
      if (strlen(pf)!=0)
        {
          fl_set_input(fd_newbg->file,pf);
        }
    }
}



